%global momorel 3
Summary:	Composite Manager library
Name:		libcm
Version:	0.1.1
Release: %{momorel}m%{?dist}
License:	GPL
Group:		System Environment/Libraries
Source0: http://download.gnome.org/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
NoSource: 0
URL:		http://www.daimi.au.dk/~sandmann/
BuildRequires:	libGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 2.12.4
BuildRequires:	pkgconfig
BuildRequires:	libX11-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXtst-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Composite Manager library.

%package devel
Summary:	Header files for Composite Manager library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libGL-devel
Requires:	glib-devel >= 2.12.4
Requires:	libX11-devel
Requires:	libXcomposite-devel
Requires:	libXdamage-devel
Requires:	libXtst-devel

%description devel
Header files for Composite Manager library.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root)
%{_libdir}/libcm.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root)
%{_libdir}/libcm.so
%{_includedir}/cm
%{_libdir}/pkgconfig/cm.pc
%{_libdir}/libcm.a

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.1-2m)
- rebuild against gcc43

* Wed Jan 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.1-1m)
- update 0.1.1

* Sat Jan  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.0-1m)
- update to 0.1.0

* Sun Oct  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.22-0.200609291m)
- import from http://cvs.pld-linux.org/cgi-bin/cvsweb/SPECS/libcm.spec

%%{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcm.spec,v $
Revision 1.11  2006/09/23 14:53:22  megabajt
- rel 4

Revision 1.10  2006/08/08 20:49:38  freetz
- rel.3

Revision 1.9  2006/07/11 21:26:44  freetz
- rel.2, --as-needed for linker

Revision 1.8  2006/07/11 20:39:23  qboosh
- removed obsolete configure patch
- -devel R: OpenGL-GLU-devel now
- note: needs new or no TFP GLX API (build fails with Mesa = 6.5)

Revision 1.7  2006/06/16 18:19:08  freetz
- unofficial 0.0.22, bleeding edge deps

Revision 1.6  2006/03/04 19:37:01  qboosh
- updated configure patch not to link libcm with -lGLU (GLU is just for demos)
- -devel R: OpenGL-devel
- added X11 to Groups

Revision 1.5  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.4  2006/02/19 14:10:05  freetz
- 0.0.16, added configure patch

Revision 1.3  2005/12/24 01:35:59  qboosh
- added deps (modular xorg only - it relies on pkgconfig files)

Revision 1.2  2005/12/24 01:30:43  qboosh
- pl

Revision 1.1  2005/12/22 20:22:41  wrobell
- composite manager library (?); for metacity with patch from:
    http://mail.gnome.org/archives/metacity-devel-list/2005-December/msg00002.html
